### Home Classes Methods

### In Files

- lib/twitter/rest/users.rb

### Methods

- #block
- #block?
- #blocked
- #blocked_ids
- #contributees
- #contributors
- #current_user
- #mute
- #muted
- #muted_ids
- #profile_banner
- #remove_profile_banner
- #settings
- #unblock
- #unmute
- #update_delivery_device
- #update_profile
- #update_profile_background_image
- #update_profile_banner
- #update_profile_colors
- #update_profile_image
- #user
- #user?
- #user_search
- #users
- #verify_credentials

### Included Modules

- Twitter::REST::Utils
- Twitter::Utils

### Class/Module Index

Quicksearch

- Twitter
- Twitter::Arguments
- Twitter::Base
- Twitter::BasicUser
- Twitter::Client
- Twitter::Configuration
- Twitter::Creatable
- Twitter::Cursor
- Twitter::DirectMessage
- Twitter::Entities
- Twitter::Entity
- Twitter::Entity::Hashtag
- Twitter::Entity::Symbol
- Twitter::Entity::URI
- Twitter::Entity::URL
- Twitter::Entity::UserMention
- Twitter::Enumerable
- Twitter::Error
- Twitter::Error::AlreadyFavorited
- Twitter::Error::AlreadyRetweeted
- Twitter::Error::BadGateway
- Twitter::Error::BadRequest
- Twitter::Error::ClientError
- Twitter::Error::Code
- Twitter::Error::ConfigurationError
- Twitter::Error::DuplicateStatus
- Twitter::Error::Forbidden
- Twitter::Error::GatewayTimeout
- Twitter::Error::InternalServerError
- Twitter::Error::NotAcceptable
- Twitter::Error::NotFound
- Twitter::Error::RequestTimeout
- Twitter::Error::ServerError
- Twitter::Error::ServiceUnavailable
- Twitter::Error::TooManyRequests
- Twitter::Error::UnacceptableIO
- Twitter::Error::Unauthorized
- Twitter::Error::UnprocessableEntity
- Twitter::Factory
- Twitter::Geo
- Twitter::Geo::Point
- Twitter::Geo::Polygon
- Twitter::GeoFactory
- Twitter::GeoResults
- Twitter::Identity
- Twitter::Language
- Twitter::List
- Twitter::Media
- Twitter::Media::Photo
- Twitter::MediaFactory
- Twitter::Metadata
- Twitter::OEmbed
- Twitter::Place
- Twitter::Profile
- Twitter::ProfileBanner
- Twitter::REST
- Twitter::REST::API
- Twitter::REST::Client
- Twitter::REST::DirectMessages
- Twitter::REST::Favorites
- Twitter::REST::FriendsAndFollowers
- Twitter::REST::Help
- Twitter::REST::Lists
- Twitter::REST::Media
- Twitter::REST::OAuth
- Twitter::REST::PlacesAndGeo
- Twitter::REST::Request
- Twitter::REST::Request::MultipartWithFile
- Twitter::REST::Response
- Twitter::REST::Response::ParseErrorJson
- Twitter::REST::Response::ParseJson
- Twitter::REST::Response::RaiseError
- Twitter::REST::SavedSearches
- Twitter::REST::Search
- Twitter::REST::SpamReporting
- Twitter::REST::SuggestedUsers
- Twitter::REST::Timelines
- Twitter::REST::Trends
- Twitter::REST::Tweets
- Twitter::REST::Undocumented
- Twitter::REST::Users
- Twitter::REST::Utils
- Twitter::RateLimit
- Twitter::Relationship
- Twitter::Request
- Twitter::SavedSearch
- Twitter::SearchResults
- Twitter::Settings
- Twitter::Size
- Twitter::SourceUser
- Twitter::Streaming
- Twitter::Streaming::Client
- Twitter::Streaming::Connection
- Twitter::Streaming::DeletedTweet
- Twitter::Streaming::Event
- Twitter::Streaming::FriendList
- Twitter::Streaming::MessageParser
- Twitter::Streaming::Response
- Twitter::Streaming::StallWarning
- Twitter::Suggestion
- Twitter::TargetUser
- Twitter::Token
- Twitter::Trend
- Twitter::TrendResults
- Twitter::Tweet
- Twitter::User
- Twitter::Utils
- Twitter::Utils::ClassMethods
- Twitter::Version

No matching classes.

# Twitter::REST::Users

### Constants

MAX_USERS_PER_REQUEST

### Public Instance Methods

block(*args) click to toggle source

Blocks the users specified by the authenticating user

@see dev.twitter.com/docs/api/1.1/post/blocks/create @note Destroys a friendship to the blocked user if it exists. @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] The blocked users. @overload block(*users)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.

@overload block(*users, options)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 194
    def block(*args)
      parallel_users_from_response(:post, '/1.1/blocks/create.json', args)
    end

block?(user, options = {}) click to toggle source

Returns true if the authenticating user is blocking a target user

@see dev.twitter.com/docs/api/1.1/get/blocks/ids @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Boolean] true if the authenticating user is blocking the target user, otherwise false. @param user [Integer, String, URI, Twitter::User] A Twitter user ID, screen name, URI, or object. @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 169
    def block?(user, options = {})
      user_id = case user
      when Integer
        user
      when String, URI, Addressable::URI
        user(user).id
      when Twitter::User
        user.id
      end
      blocked_ids(options).collect(&:to_i).include?(user_id)
    end

blocked(options = {}) click to toggle source

Returns an array of user objects that the authenticating user is blocking

@see dev.twitter.com/docs/api/1.1/get/blocks/list @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] User objects that the authenticating user is blocking. @param options [Hash] A customizable set of options. @option options [Boolean, String, Integer] :skip_status Do not include user’s Tweets when set to true, ‘t’ or 1.

    # File lib/twitter/rest/users.rb, line 140
    def blocked(options = {})
      perform_with_cursor(:get, '/1.1/blocks/list.json', options, :users, Twitter::User)
    end

blocked_ids(*args) click to toggle source

Returns an array of numeric user IDs the authenticating user is blocking

@see dev.twitter.com/docs/api/1.1/get/blocks/ids @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::Cursor] Numeric user IDs the authenticating user is blocking. @overload blocked_ids(options = {})

    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 154
    def blocked_ids(*args)
      arguments = Twitter::Arguments.new(args)
      merge_user!(arguments.options, arguments.pop)
      perform_with_cursor(:get, '/1.1/blocks/ids.json', arguments.options, :ids)
    end

contributees(*args) click to toggle source

Returns an array of users that the specified user can contribute to

@see dev.twitter.com/docs/api/1.1/get/users/contributees @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] @overload contributees(options = {})

    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include contributee's Tweets when set to true, 't' or 1.

@overload contributees(user, options = {})

    @param user [Integer, String, Twitter::User] A Twitter user ID, screen name, URI, or object.
    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include contributee's Tweets when set to true, 't' or 1.

    # File lib/twitter/rest/users.rb, line 305
    def contributees(*args)
      users_from_response(:get, '/1.1/users/contributees.json', args)
    end

contributors(*args) click to toggle source

Returns an array of users who can contribute to the specified account

@see dev.twitter.com/docs/api/1.1/get/users/contributors @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] @overload contributors(options = {})

    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include contributee's Tweets when set to true, 't' or 1.

@overload contributors(user, options = {})

    @param user [Integer, String, Twitter::User] A Twitter user ID, screen name, URI, or object.
    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include contributee's Tweets when set to true, 't' or 1.

    # File lib/twitter/rest/users.rb, line 323
    def contributors(*args)
      users_from_response(:get, '/1.1/users/contributors.json', args)
    end

current_user(options = {}) click to toggle source
Alias for: verify_credentials
mute(*args) click to toggle source

Mutes the users specified by the authenticating user

@see dev.twitter.com/docs/api/1.1/post/mutes/users/create @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] The muted users. @overload mute(*users)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.

@overload mute(*users, options)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 392
    def mute(*args)
      parallel_users_from_response(:post, '/1.1/mutes/users/create.json', args)
    end

muted(options = {}) click to toggle source

Returns an array of user objects that the authenticating user is muting

@see dev.twitter.com/docs/api/1.1/get/mutes/users/list @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] User objects that the authenticating user is muting. @param options [Hash] A customizable set of options. @option options [Boolean, String, Integer] :skip_status Do not include user’s Tweets when set to true, ‘t’ or 1.

    # File lib/twitter/rest/users.rb, line 421
    def muted(options = {})
      perform_with_cursor(:get, '/1.1/mutes/users/list.json', options, :users, Twitter::User)
    end

muted_ids(*args) click to toggle source

Returns an array of numeric user IDs the authenticating user is muting

@see dev.twitter.com/docs/api/1.1/get/mutes/users/ids @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::Cursor] Numeric user IDs the authenticating user is muting @overload muted_ids(options = {})

    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 435
    def muted_ids(*args)
      arguments = Twitter::Arguments.new(args)
      merge_user!(arguments.options, arguments.pop)
      perform_with_cursor(:get, '/1.1/mutes/users/ids.json', arguments.options, :ids)
    end

profile_banner(*args) click to toggle source

Returns the available size variations of the specified user’s profile banner.

@see dev.twitter.com/docs/api/1.1/get/users/profile_banner @note If the user has not uploaded a profile banner, a HTTP 404 will be served instead. @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::ProfileBanner] @overload profile_banner(options = {}) @overload profile_banner(user, options = {})

    @param user [Integer, String, Twitter::User] A Twitter user ID, screen name, URI, or object.

    # File lib/twitter/rest/users.rb, line 374
    def profile_banner(*args)
      arguments = Twitter::Arguments.new(args)
      merge_user!(arguments.options, arguments.pop || user_id) unless arguments.options[:user_id] || arguments.options[:screen_name]
      perform_with_object(:get, '/1.1/users/profile_banner.json', arguments.options, Twitter::ProfileBanner)
    end

remove_profile_banner(options = {}) click to toggle source

Removes the authenticating user’s profile banner image

@see dev.twitter.com/docs/api/1.1/post/account/remove_profile_banner @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [nil] @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 335
    def remove_profile_banner(options = {})
      post('/1.1/account/remove_profile_banner.json', options).body
      true
    end

settings(options = {}) click to toggle source

Updates the authenticating user’s settings. Or, if no options supplied, returns settings (including current trend, geo and sleep time information) for the authenticating user.

@see dev.twitter.com/docs/api/1.1/post/account/settings @see dev.twitter.com/docs/api/1.1/get/account/settings @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::Settings] @param options [Hash] A customizable set of options. @option options [Integer] :trend_location_woeid The Yahoo! Where On Earth ID to use as the user’s default trend location. Global information is available by using 1 as the WOEID. The woeid must be one of the locations returned by {dev.twitter.com/docs/api/1.1/get/trends/available GET trends/available}. @option options [Boolean, String, Integer] :sleep_time_enabled When set to true, ‘t’ or 1, will enable sleep time for the user. Sleep time is the time when push or SMS notifications should not be sent to the user. @option options [Integer] :start_sleep_time The hour that sleep time should begin if it is enabled. The value for this parameter should be provided in {en.wikipedia.org/wiki/ISO_8601 ISO8601} format (i.e. 00-23). The time is considered to be in the same timezone as the user’s time_zone setting. @option options [Integer] :end_sleep_time The hour that sleep time should end if it is enabled. The value for this parameter should be provided in {en.wikipedia.org/wiki/ISO_8601 ISO8601} format (i.e. 00-23). The time is considered to be in the same timezone as the user’s time_zone setting. @option options [String] :time_zone The timezone dates and times should be displayed in for the user. The timezone must be one of the {api.rubyonrails.org/classes/ActiveSupport/TimeZone.html Rails TimeZone} names. @option options [String] :lang The language which Twitter should render in for this user. The language must be specified by the appropriate two letter ISO 639-1 representation. Currently supported languages are provided by {dev.twitter.com/docs/api/1.1/get/help/languages GET help/languages}.

    # File lib/twitter/rest/users.rb, line 33
    def settings(options = {})
      request_method = options.size.zero? ? :get : :post
      response = send(request_method.to_sym, '/1.1/account/settings.json', options).body
      # https://dev.twitter.com/issues/59
      response.update(:trend_location => response.fetch(:trend_location, []).first)
      Twitter::Settings.new(response)
    end

unblock(*args) click to toggle source

Un-blocks the users specified by the authenticating user

@see dev.twitter.com/docs/api/1.1/post/blocks/destroy @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] The un-blocked users. @overload unblock(*users)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.

@overload unblock(*users, options)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 210
    def unblock(*args)
      parallel_users_from_response(:post, '/1.1/blocks/destroy.json', args)
    end

unmute(*args) click to toggle source

Un-mutes the user specified by the authenticating user.

@see dev.twitter.com/docs/api/1.1/post/mutes/users/destroy @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] The un-muted users. @overload unmute(*users)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.

@overload unmute(*users, options)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 408
    def unmute(*args)
      parallel_users_from_response(:post, '/1.1/mutes/users/destroy.json', args)
    end

update_delivery_device(device, options = {}) click to toggle source

Sets which device Twitter delivers updates to for the authenticating user

@see dev.twitter.com/docs/api/1.1/post/account/update_delivery_device @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param device [String] Must be one of: ‘sms’, ‘none’. @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 64
    def update_delivery_device(device, options = {})
      perform_with_object(:post, '/1.1/account/update_delivery_device.json', options.merge(:device => device), Twitter::User)
    end

update_profile(options = {}) click to toggle source

Sets values that users are able to set under the “Account” tab of their settings page

@see dev.twitter.com/docs/api/1.1/post/account/update_profile @note Only the options specified will be updated. @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param options [Hash] A customizable set of options. @option options [String] :name Full name associated with the profile. Maximum of 20 characters. @option options [String] :url URL associated with the profile. Will be prepended with “http://” if not present. Maximum of 100 characters. @option options [String] :location The city or country describing where the user of the account is located. The contents are not normalized or geocoded in any way. Maximum of 30 characters. @option options [String] :description A description of the user owning the account. Maximum of 160 characters.

    # File lib/twitter/rest/users.rb, line 81
    def update_profile(options = {})
      perform_with_object(:post, '/1.1/account/update_profile.json', options, Twitter::User)
    end

update_profile_background_image(image, options = {}) click to toggle source

Updates the authenticating user’s profile background image

@see dev.twitter.com/docs/api/1.1/post/account/update_profile_background_image @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param image [File] The background image for the profile, base64-encoded. Must be a valid GIF, JPG, or PNG image of less than 800 kilobytes in size. Images with width larger than 2048 pixels will be forcibly scaled down. The image must be provided as raw multipart data, not a URL. @param options [Hash] A customizable set of options. @option options [Boolean] :tile Whether or not to tile the background image. If set to true the background image will be displayed tiled. The image will not be tiled otherwise.

    # File lib/twitter/rest/users.rb, line 95
    def update_profile_background_image(image, options = {})
      perform_with_object(:post, '/1.1/account/update_profile_background_image.json', options.merge(:image => image), Twitter::User)
    end

update_profile_banner(banner, options = {}) click to toggle source

Updates the authenticating user’s profile banner image

@see dev.twitter.com/docs/api/1.1/post/account/update_profile_banner @note Uploads a profile banner on behalf of the authenticating user. For best results, upload an <5MB image that is exactly 1252px by 626px. Images will be resized for a number of display options. Users with an uploaded profile banner will have a profile_banner_url node in their Users objects. More information about sizing variations can be found in User Profile Images and Banners. @note Profile banner images are processed asynchronously. The profile_banner_url and its variant sizes will not necessary be available directly after upload. @rate_limited No @authentication Requires user context @raise [Twitter::Error::BadRequest] Error raised when either an image was not provided or the image data could not be processed. @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @raise [Twitter::Error::UnprocessableEntity] Error raised when the image could not be resized or is too large. @return [nil] @param banner [File] The Base64-encoded or raw image data being uploaded as the user’s new profile banner. @param options [Hash] A customizable set of options. @option options [Integer] :width The width of the preferred section of the image being uploaded in pixels. Use with height, offset_left, and offset_top to select the desired region of the image to use. @option options [Integer] :height The height of the preferred section of the image being uploaded in pixels. Use with width, offset_left, and offset_top to select the desired region of the image to use. @option options [Integer] :offset_left The number of pixels by which to offset the uploaded image from the left. Use with height, width, and offset_top to select the desired region of the image to use. @option options [Integer] :offset_top The number of pixels by which to offset the uploaded image from the top. Use with height, width, and offset_left to select the desired region of the image to use.

    # File lib/twitter/rest/users.rb, line 358
    def update_profile_banner(banner, options = {})
      post('/1.1/account/update_profile_banner.json', options.merge(:banner => banner)).body
      true
    end

update_profile_colors(options = {}) click to toggle source

Sets one or more hex values that control the color scheme of the authenticating user’s profile

@see dev.twitter.com/docs/api/1.1/post/account/update_profile_colors @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param options [Hash] A customizable set of options. @option options [String] :profile_background_color Profile background color. @option options [String] :profile_text_color Profile text color. @option options [String] :profile_link_color Profile link color. @option options [String] :profile_sidebar_fill_color Profile sidebar’s background color. @option options [String] :profile_sidebar_border_color Profile sidebar’s border color.

    # File lib/twitter/rest/users.rb, line 112
    def update_profile_colors(options = {})
      perform_with_object(:post, '/1.1/account/update_profile_colors.json', options, Twitter::User)
    end

update_profile_image(image, options = {}) click to toggle source

Updates the authenticating user’s profile image

@see dev.twitter.com/docs/api/1.1/post/account/update_profile_image @note Updates the authenticating user’s profile image. Note that this method expects raw multipart data, not a URL to an image. @note This method asynchronously processes the uploaded file before updating the user’s profile image URL. You can either update your local cache the next time you request the user’s information, or, at least 5 seconds after uploading the image, ask for the updated URL using GET users/show. @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param image [File] The avatar image for the profile, base64-encoded. Must be a valid GIF, JPG, or PNG image of less than 700 kilobytes in size. Images with width larger than 500 pixels will be scaled down. Animated GIFs will be converted to a static GIF of the first frame, removing the animation. @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/users.rb, line 127
    def update_profile_image(image, options = {})
      perform_with_object(:post, '/1.1/account/update_profile_image.json', options.merge(:image => image), Twitter::User)
    end

user(*args) click to toggle source

@see dev.twitter.com/docs/api/1.1/get/users/show @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The requested user. @overload user(options = {})

    Returns extended information for the authenticated user

    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include user's Tweets when set to true, 't' or 1.

@overload user(user, options = {})

    Returns extended information for a given user

    @param user [Integer, String, Twitter::User] A Twitter user ID, screen name, URI, or object.
    @param options [Hash] A customizable set of options.
    @option options [Boolean, String, Integer] :skip_status Do not include user's Tweets when set to true, 't' or 1.

    # File lib/twitter/rest/users.rb, line 251
    def user(*args)
      arguments = Twitter::Arguments.new(args)
      if arguments.last || user_id?
        merge_user!(arguments.options, arguments.pop || user_id)
        perform_with_object(:get, '/1.1/users/show.json', arguments.options, Twitter::User)
      else
        verify_credentials(arguments.options)
      end
    end

user?(user, options = {}) click to toggle source

Returns true if the specified user exists

@rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Boolean] true if the user exists, otherwise false. @param user [Integer, String, Twitter::User] A Twitter user ID, screen name, URI, or object.

    # File lib/twitter/rest/users.rb, line 268
    def user?(user, options = {})
      merge_user!(options, user)
      get('/1.1/users/show.json', options)
      true
    rescue Twitter::Error::NotFound
      false
    end

user_search(query, options = {}) click to toggle source

Returns users that match the given query

@see dev.twitter.com/docs/api/1.1/get/users/search @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] @param query [String] The search query to run against people search. @param options [Hash] A customizable set of options. @option options [Integer] :count The number of people to retrieve. Maxiumum of 20 allowed per page. @option options [Integer] :page Specifies the page of results to retrieve.

    # File lib/twitter/rest/users.rb, line 287
    def user_search(query, options = {})
      perform_with_objects(:get, '/1.1/users/search.json', options.merge(:q => query), Twitter::User)
    end

users(*args) click to toggle source

Returns extended information for up to 100 users

@see dev.twitter.com/docs/api/1.1/get/users/lookup @rate_limited Yes @authentication Required @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::User>] The requested users. @overload users(*users)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.

@overload users(*users, options)

    @param users [Enumerable<Integer, String, Twitter::User>] A collection of Twitter user IDs, screen names, or objects.
    @param options [Hash] A customizable set of options.
    @option options [Symbol, String] :method Requests users via a GET request instead of the standard POST request if set to ':get'.

    # File lib/twitter/rest/users.rb, line 227
    def users(*args)
      arguments = Twitter::Arguments.new(args)
      request_method = arguments.options.delete(:method) || :post
      flat_pmap(arguments.each_slice(MAX_USERS_PER_REQUEST)) do |users|
        perform_with_objects(request_method, '/1.1/users/lookup.json', merge_users(arguments.options, users), Twitter::User)
      end
    end

verify_credentials(options = {}) click to toggle source

Returns the requesting user if authentication was successful, otherwise raises {Twitter::Error::Unauthorized}

@see dev.twitter.com/docs/api/1.1/get/account/verify_credentials @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::User] The authenticated user. @param options [Hash] A customizable set of options. @option options [Boolean, String, Integer] :skip_status Do not include user’s Tweets when set to true, ‘t’ or 1.

    # File lib/twitter/rest/users.rb, line 50
    def verify_credentials(options = {})
      perform_with_object(:get, '/1.1/account/verify_credentials.json', options, Twitter::User)
    end

Also aliased as: current_user

[Validate]

Generated with the Darkfish Rdoc Generator 2.